// Funzione che visualizza i dettagli del calcolo 

function lista_risultati_1(obj)
{  
	// Firma digitale 
	if (obj.FIRMA.value == "     Agostino Frosini  -  Javascript Software 2012  -") 
		{
			// Dichiarazioni delle variabili 	
			giorno = myParseFloat(obj.giorno.value);
			if (giorno >31 | giorno <= 0)
				{
					alert("\n GIORNO ERRATO: \n\n DATI VALIDI DA 1 A 31 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			mese = myParseFloat(obj.mese.value);
			if (mese >12 | mese <= 0)
				{
					alert("\n MESE ERRATO: \n\n DATI VALIDI DA 1 A 12 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			anno = myParseFloat(obj.anno.value);
			
			if (anno ==0)
				{
					alert("\n ANNO ERRATO: \n\n L'ANNO CIVILE NON PREVEDE L'ANNO ZERO \n\n CLICCA SU RESET E RIPROVA"); 
					return;
				}
			if (anno <0)
				{
					anno = anno + 1; 	
				}
			ore = myParseFloat(obj.ore.value); 
			if (ore >=24 | ore < 0)
				{
					alert("\n ORE LOCALI ERRATE: \n\n DATI VALIDI DA 0 A 23 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			minuti = myParseFloat(obj.minuti.value); 
			if (minuti >=60 | minuti < 0)
				{
					alert("\n MINUTI LOCALI ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			secondi = myParseFloat(obj.secondi.value); 
			if (secondi >=60 | secondi < 0)
				{
					alert("\n SECONDI LOCALI ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ore2 = myParseFloat(obj.ore2.value); 
			if (ore >=24 | ore < 0)
				{
					alert("\n ORE UTC ERRATE: \n\n DATI VALIDI DA 0 A 23 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			minuti2 = myParseFloat(obj.minuti2.value); 
			if (minuti >=60 | minuti < 0)
				{
					alert("\n MINUTI UTC ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			secondi2 = myParseFloat(obj.secondi2.value); 
			if (secondi >=60 | secondi < 0)
				{
					alert("\n SECONDI UTC ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			lat_G = myParseFloat(obj.lat_G.value); 
			if (lat_G >= 90 | lat_G <= -90)
				{
					alert("\n GRADI LATITUDINE ERRATI: \n\n DATI VALIDI DA -89 A +89 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			lat_M = myParseFloat(obj.lat_M.value); 
			if (lat_M >= 60 | lat_M <= -60)
				{
					alert("\n PRIMI LATITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			lat_S = myParseFloat(obj.lat_S.value);
			if (lat_S >= 60 | lat_S <= -60)
				{
					alert("\n SECONDI LATITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			long_G = myParseFloat(obj.long_G.value); 
			if (long_G >= 180 | long_G <= -180)
				{
					alert("\n GRADI LONGITUDINE ERRATI: \n\n DATI VALIDI DA -179 A +179 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			long_M = myParseFloat(obj.long_M.value); 
			if (long_M >= 60 | long_M <= -60)
				{
					alert("\n PRIMI LONGITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			long_S = myParseFloat(obj.long_S.value); 
			if (long_S >= 60 | long_S <= -60)
				{
					alert("\n SECONDI LONGITUDINE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}

			qm = myParseFloat(obj.qm.value);

			ar_teo = myParseFloat(obj.ar_teo.value);

			if (ar_teo >= 400 | ar_teo < 0)
				{
					alert("\n GRADI AZIMUT RILEVATO ERRATI: \n\n DATI VALIDI DA 0 A +400 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ar1_g = myParseFloat(obj.ar1_g.value);
			if (ar1_g >= 180 | ar1_g <= -180)
				{
					alert("\n GRADI AZIMUT RILEVATO ERRATI: \n\n DATI VALIDI DA -179 A +179 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ar1_p = myParseFloat(obj.ar1_p.value);
			if (ar1_p >= 60 | ar1_p <= -60)
				{
					alert("\n PRIMI AZIMUT RILEVATO 1 ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ar1_s = myParseFloat(obj.ar1_s.value);
			if (ar1_s >= 60 | ar1_s <= -60)
				{
					alert("\n SECONDI AZIMUT RILEVATO 1 ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ho_g = myParseFloat(obj.ho_g.value);
			if (ho_g >= 90 | ho_g < 0)
				{
					alert("\n GRADI ALTEZZA OSSERVATA ERRATI: \n\n DATI VALIDI DA 0 A 89 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ho_p = myParseFloat(obj.ho_p.value);
			if (ho_p >= 60 | ho_p <0)
				{
					alert("\n PRIMI ALTEZZA OSSERVATA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			ho_s = myParseFloat(obj.ho_s.value);
			if (ho_s >= 60 | ho_s <0)
				{
					alert("\n SECONDI ALTEZZA OSSERVATA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			rm_g = myParseFloat(obj.rm_g.value);
			if (rm_g >= 360 | rm_g <= -360)
				{
					alert("\n GRADI REFRAZIONE ERRATI: \n\n DATI VALIDI DA -359 A +359 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			rm_p = myParseFloat(obj.rm_p.value);
			if (rm_p >= 60 | rm_p <0)
				{
					alert("\n PRIMI REFRAZIONE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			rm_s = myParseFloat(obj.rm_s.value);
			if (rm_s >= 60 | rm_s <0)
				{
					alert("\n SECONDI REFRAZIONE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			parall_p_p = myParseFloat(obj.parall_p_p.value);
			if (parall_p_p >= 60 | parall_p_p <0)
				{
					alert("\n PRIMI PARALLASSE PIANETA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			parall_p_s = myParseFloat(obj.parall_p_s.value);
			if (parall_p_s >= 60 | parall_p_s <0)
				{
					alert("\n SECONDI PARALLASSE PIANETA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			sds_p = myParseFloat(obj.sds_p.value);
			if (sds_p >= 60 | sds_p <= -60)
				{
					alert("\n PRIMI SEMIDIAMETRO SOLE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			sds_s = myParseFloat(obj.sds_s.value);
			if (sds_s >= 60 | sds_s <= -60)
				{
					alert("\n SECONDI SEMIDIAMETRO SOLE ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			pars_p = myParseFloat(obj.pars_p.value);
			if (pars_p >= 60 | pars_p <0)
				{
					alert("\n PRIMI PARALLASSE SOLE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			pars_s = myParseFloat(obj.pars_s.value);
			if (pars_s >= 60 | pars_s <0)
				{
					alert("\n SECONDI PARALLASSE SOLE ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			sdl_p = myParseFloat(obj.sdl_p.value);
			if (sdl_p >= 60 | sdl_p <= -60)
				{
					alert("\n PRIMI SEMIDIAMETRO LUNA ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			sdl_s = myParseFloat(obj.sdl_s.value);
			if (sdl_s >= 60 | sdl_s <= -60)
				{
					alert("\n SECONDI SEMIDIAMETRO LUNA ERRATI: \n\n DATI VALIDI DA -59 A +59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			parl_g = myParseFloat(obj.parl_g.value);
			if (parl_g >= 360 | parl_g <= -360)
				{
					alert("\n GRADI PARALLASSE LUNA ERRATI: \n\n DATI VALIDI DA -359 A +359 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			parl_p = myParseFloat(obj.parl_p.value);
			if (parl_p >= 60 | parl_p <0)
				{
					alert("\n PRIMI PARALLASSE LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			parl_s = myParseFloat(obj.parl_s.value);
			if (pars_s >= 60 | pars_s <0)
				{
					alert("\n SECONDI PARALLASSE LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			iol_g = myParseFloat(obj.iol_g.value);
			if (iol_g >= 90 | iol_g < 0)
				{
					alert("\n GRADI INCLINAZIONE ORBITA LUNA ERRATI: \n\n DATI VALIDI DA 0 A 89 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			iol_p = myParseFloat(obj.iol_p.value);
			if (iol_p >= 60 | iol_p < 0)
				{
					alert("\n PRIMI INCLINAZIONE ORBITA LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}
			iol_s = myParseFloat(obj.iol_s.value);
			if (iol_p >= 60 | iol_p < 0)
				{
					alert("\n SECONDI INCLINAZIONE ORBITA LUNA ERRATI: \n\n DATI VALIDI DA 0 A 59 \n\n CLICCA SU RESET E RIPROVA"); 
				}

			// Prepara l'oggetto giorno e mese inferiori a 10 con lo zero davanti al numero per il confronto con il 15821015
			if (obj.giorno.value < 10) obj.giorno.value = "0"+obj.giorno.value;
			if (obj.mese.value < 10) obj.mese.value = "0"+obj.mese.value;
	
			// unisce anno mese giorno in una stringa 
			var s = (obj.anno.value+obj.mese.value+obj.giorno.value);
	
			// la stringa data unita ritorna numero 
			s = parseInt(s);  	
	
			// calcolo dei giorni e ore decimali
			var giorno_dec;
			giorno_dec = (secondi / 3600 + minuti / 60 + ore)/24 + giorno;
			ore_dec = secondi / 3600 + minuti /60 + ore;
			ore_dec2 = secondi2 / 3600 + minuti2 /60 + ore2;	
	

			// calcolo della posizione in decimali
			lat_dec = lat_S / 3600 + lat_M /60 + lat_G;
			long_dec = long_S / 3600 + long_M /60 + long_G;
			
			// calcolo ar1 in decimali 
			ar1_dec = ar1_s /3600 + ar1_p / 60 + ar1_g;
				
			// calcolo ho in decimali 
			ho_dec = ho_s / 3600 + ho_p / 60 + ho_g;

			// calcolo refrazione in decimali 
			rm_dec = rm_s / 3600 + rm_p / 60 + rm_g;

			// calcolo parallasse pianeti in decimali 
			parall_p_dec = parall_p_s / 3600 + parall_p_p / 60; 
			
			// calcolo semidiametro sole in decimali 
			sds_dec = sds_s / 3600 + sds_p / 60; 

			// calcolo parallasse sole in decimali 
			pars_dec = pars_s / 3600; 

			// calcolo semidiametro luna in decimali 
			sdl_dec = sdl_s / 3600 + sdl_p / 60; 

			// calcolo parallasse luna in decimali 
			parl_dec = parl_s / 3600 + parl_p / 60 + parl_g; 
			
			// calcolo inclinazione orbita luna in decimali 
			iol_dec = iol_s / 3600 + iol_p / 60 + iol_g; 
								
			// return da funzione jd_ore_ut contenuta in jd_ore_ut.js
			// creazione variabile JD_UT   
			JD_UT = jd_ore_ut(giorno_dec,mese,anno,s); 
			
			
			// Scelta della Formula alteza vera 
			FormulaS = 0;
			FormulaN = 1;
			FormulaG = 2;
			
			if (obj.sceltaf[FormulaS].checked)
				{
					sceltaf = 0;
				}
			if (obj.sceltaf[FormulaN].checked)
				{
					sceltaf = 1; 
				}
			if (obj.sceltaf[FormulaG].checked)
				{
					sceltaf = 2;
				}
			
			// Scelta dell' Astro
			Stella = 0;		
			Pianeta = 1;		
			Sole = 2; 
			Luna = 3;
	
			if (obj.temp[Stella].checked)
				{
					temp = 0;
				}
			if (obj.temp[Pianeta].checked)
				{
					temp = 1; 
				}
			if (obj.temp[Sole].checked)
				{
					temp = 2;
				}
			if (obj.temp[Luna].checked)
				{
					temp = 3;
				}
	
			JD_J2K = 2451545.0;

	
			// Creazione della pagina web per i dati relativi al tempo 
			msgWindow=window.open("","msgWindow2","toolbar=yes,status=no,menubar=yes,scrollbars=yes,resizable,width=1000,height=500");
			msgWindow.document.write("<html><head><title>Lista dei Risultati Algoritmo Giuliano del Sole </title>");
			
				msgWindow.document.write("<style>body,td,th {color: #FFF;} body {background-color:#000} #table{background-color:#999; border-radius: 8px;border:2px solid;border-color:#000;color: #FFF;box-shadow:5px 5px 10px #000;} a:link {color: #FFF;} a:visited {color:#FFF;}a:hover{color:#0F0;</style>");
			msgWindow.document.write("</head>");
			msgWindow.document.write("<body>"); 
			
			// Titolo della Lista dei risultati  
			msgWindow.document.write('<b> Lista dei Risultati Algoritmo Giuliano del Sole </b>');
			msgWindow.document.write('<br> Oltre ad utilizzare i link sottostanti è possibile selezionare tutta la pagina web e copiarla su un Notepad in formato testo.');
			
			// Creazione dei link per stampare,  chiudere la pagina web o esportare i dati in excell 
			msgWindow.document.write("<br> <br> <A HREF=\"javascript:window.print()\">Stampa</A>&nbsp;&nbsp;<A HREF=\"javascript:window.close()\">Chiudi</A>");

			// Riga di separazione -------------------------------------------------------------------------
			msgWindow.document.write('<hr/>');
	
			// Visualizzazione dei dati 
			// Titolo sito e misurazioni 
			msgWindow.document.write('<strong> Sito e Misurazioni </strong> &nbsp;');
			// Sito in questa prima istruzione ci sono le larghezze delle colonne 
			msgWindow.document.write('<br> Sito: ' +  obj.sito.value + '&nbsp;');
			// Note 
			msgWindow.document.write('<br> Note: ' +  obj.note.value + '&nbsp;');
			// Data 
			msgWindow.document.write('<br> Data: ' +  obj.giorno.value + "/" + obj.mese.value + "/" + obj.anno.value );
			// Ora Locale 
			msgWindow.document.write('<br> Ora locale: ' +  obj.ore.value + ":" + obj.minuti.value + ":" + obj.secondi.value );
			// Ora UT 
			msgWindow.document.write('<br> Ora UT: ' +  obj.ore2.value + ":" + obj.minuti2.value + ":" + obj.secondi2.value );
			// Latitudine  
			msgWindow.document.write('<br> Latitudine: ' +  lat_dec + '&deg;__________'  + conv_lat_dec());
			// Longitudine  
			msgWindow.document.write('<br> Longitudine: ' +  long_dec + '&deg;__________'  + conv_long_dec());
			// Azimut misurato teodolite 
			msgWindow.document.write('<br> Azimut misurato teodolite: ' +  ar_teo + ' ° dello strumento');
			// Azimut misurato
			msgWindow.document.write('<br> Azimut misurato: ' +  ar1_dec + '&deg;__________'  + conv_ar1_dec());
			// Altezza misurata
			msgWindow.document.write('<br> Altezza misurata: ' +  ho_dec + '&deg;__________'  + conv_ho_dec());	

			// Riga di separazione -------------------------------------------------------------------------
			msgWindow.document.write('<hr/>');
			
			// Titolo Dati calcolati  			
			msgWindow.document.write('<strong> Dati calcolati </strong> &nbsp;');						
			// Giorno Giuliano ore UT 
			msgWindow.document.write('<br> Giorno Giuliano ore Locali: ' +  JD_UT + ' Giorni Giuliani');
			// Giorno Giuliano epoca 2000 
			msgWindow.document.write('<br> Giorno Giuliano epoca standard J2000: ' +  JD_J2K + ' Giorni Giuliani');
			// T Secoli Giuliani dall'epoca J2000 alla data della misurazione 
			msgWindow.document.write('<br> T Secoli Giuliani da epoca J2000 alla data della misurazione: ' +  calc_1()[0] + ' Secoli');
			//  L (Longitudine geometrica media del Sole)
			msgWindow.document.write('<br> L (Longitudine geometrica media del Sole): ' +  calc_1()[1] + '&deg;__________'  + conv_L_1());
			// M (Anomalia media del sole)
			msgWindow.document.write('<br> M (Anomalia media del sole): ' +  calc_1()[2] + '&deg;__________'  + conv_M_1());
			// C (Equazione del centro del Sole)
			msgWindow.document.write('<br> C (Equazione del centro del Sole): ' +  calc_1()[3] + '&deg;__________'  + conv_C_1());
			// LV (Longitudine vera del Sole
			msgWindow.document.write('<br> LV (Longitudine vera del Sole): ' +  calc_1()[4] + '&deg;__________'  + conv_LV_1());
			// LA (Longitudine apparente del Sole
			msgWindow.document.write('<br> LA (Longitudine apparente del Sole): ' +  calc_1()[5] + '&deg;__________'  + conv_LA_1());
			// ε (Obliquità dell'ecclittica)
			msgWindow.document.write('<br> ε (Obliquità ecclittica): ' +  calc_1()[6] + '&deg;__________'  + conv_OBL_1());
			// δ (Declinazione del Sole)
			msgWindow.document.write('<br> δ (Declinazione del Sole): ' +  calc_1()[7] + '&deg;__________'  + conv_DS_1());
			// Eccentricità dell'orbita
			msgWindow.document.write('<br> Eccentricità orbita: ' +  calc_1()[8]);
			// Equazione del Tempo
			msgWindow.document.write('<br> Equazione del Tempo: ' +  calc_1()[9] + '__________'  + conv_EQT_1());
			// Angolo orario del sole
			msgWindow.document.write('<br> Angolo orario del Sole: ' +  calc_1()[10] + '&deg;__________'  + conv_HS_1());
			// Altezza geometrica del centro del Sole
			msgWindow.document.write('<br> Altezza geometrica del centro del Sole: ' +  calc_1()[11] + '&deg;__________'  + conv_HGCS_1());
			// Azimut del Sole
			msgWindow.document.write('<br> Azimut del Sole: ' +  calc_1()[12] + '&deg;__________'  + conv_AZ_1());
			// Azimut allineamento
			msgWindow.document.write('<br> Azimut allineamento: ' +  calc_1()[13] + '&deg;__________'  + conv_AZA_1());
			// Azimut allineamento reciproco
			msgWindow.document.write('<br> Azimut allineamento reciproco: ' +  calc_1()[19] + '&deg;__________'  + conv_AZAR_1());
			// inclinazione orbita lunare
			msgWindow.document.write('<br> Inclinazione orbita lunare: ' +  iol_dec + '&deg;__________'  + conv_IOL_1());
		
			// Riga di separazione -------------------------------------------------------------------------
			msgWindow.document.write('<tr><td colspan="3"><hr/>');
			
			// Titolo Visualizzazione delle formule utilizate 
			if (sceltaf == 0) {msgWindow.document.write('<strong> Formule correzione altezza vera (Semplificate) </strong> &nbsp;');}
			if (sceltaf == 1) {msgWindow.document.write('<strong> Formule correzione altezza vera (Nautiche) </strong> &nbsp;');}
			if (sceltaf == 2) {msgWindow.document.write('<strong> Formule correzione altezza vera (Geodetiche) </strong> &nbsp;');}
			
			// Altezza vera corretta di stella
			msgWindow.document.write('<br> Altezza vera corretta di Stella ' +  calc_1()[22] + '&deg;__________'  + conv_HVS_1());
			// Altezza vera corretta di pianeta
			msgWindow.document.write('<br> Altezza vera corretta di Pianeta ' +  calc_1()[23] + '&deg;__________'  + conv_HVP_1());
			// Altezza vera corretta di sole
			msgWindow.document.write('<br> Altezza vera corretta di Sole ' +  calc_1()[24] + '&deg;__________'  + conv_HVSO_1());
			// Altezza vera corretta di luna
			msgWindow.document.write('<br> Altezza vera corretta di luna ' +  calc_1()[25] + '&deg;__________'  + conv_HVL_1());
			// Altezza vera corretta che verrà usata per il calcolo
			msgWindow.document.write('<br> Altezza vera corretta astro scelto per il calcolo ' +  calc_1()[14] + '&deg;__________'  + conv_HVC_1());

			// Riga di separazione -------------------------------------------------------------------------
			msgWindow.document.write('<hr/>');

			// Titolo Declinazioni sottese dall' allineamento   
			msgWindow.document.write('<strong> Declinazioni sottese allineamento </strong> &nbsp;');						
			// Declinazione allineamento
			msgWindow.document.write('<br> Declinazione sottesa dall all.to ' +  calc_1()[15] + '&deg;__________'  + conv_DECSO_1());
			// Declinazione allineamento reciproco
			msgWindow.document.write('<br> Declinazione sottesa dall all.to reciproco ' +  calc_1()[20] + '&deg;__________'  + conv_DECSOR_1());
						
			// Riga di separazione -------------------------------------------------------------------------
			msgWindow.document.write('<hr/>');
			
			// Firma
			msgWindow.document.write('<b> &copy; Agostino Frosini  -  JavaScript Software 2012  -');
		
			// Chiusura della pagina web 
			msgWindow.document.close();
	
			// toglie gli zeri al giorno creati con la ripetizione dei calcoli 
			obj.giorno.value = giorno; 
			// toglie gli zeri al mese creati con la ripetizione dei calcoli 
			obj.mese.value = mese;



	
		}
	else 
		{
			alert("Errore hai modificato la firma digitale"); 
		}
		
}
